Name:          libmd
Version:       1.1.0
Release:       3mamba
Summary:       Message Digest functions from BSD systems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.hadrons.org/software/libmd/
Source:        https://github.com/guillemj/libmd.git/%{version}/libmd-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Obsoletes:     skey <= 1.1.5-2mamba

%description
Message Digest functions from BSD systems.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Obsoletes:     skey-devel <= 1.1.5-2mamba

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
./autogen

%build
%configure

#--includedir=%{_includedir}/md

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmd.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libmd.a
%{_libdir}/libmd.so
%{_libdir}/pkgconfig/libmd.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*
%doc README

%changelog
* Sun Nov 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-3mamba
- obsolete conflicting skey-devel and skey

* Fri Nov 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- install includes in %_includedir instead of %_includedir/md

* Thu Jun 29 2023 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-2mamba
- set includedir as %includedir/md

* Fri Apr 15 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created using the webbuild interface
